//package htmlstream; //experimental

/**
   Misc HTML functions, NOT IMPORTANT.
   @author Andrea Trentini, Daniela Micucci
*/
public abstract class Html
{
   /**
      System.out + HorizontalLine.
   */
   public static void prt(String s)
   {
      System.out.println("\n<hr>\n");
      System.out.println(s);
   }

   /**
      beginning of a page
   */
   public static void b()
   {System.out.println(PAGE_BEGIN);}

   /**
      end of page
   */
   public static void e()
   {
      System.out.println(SIGNATURE);
      System.out.println(PAGE_END);
   }

   public static void prt(Object o)
   {prt(o.toString());}

   public final static String PAGE_BEGIN="<html>\n<body>\n";
   public final static String PAGE_END="\n</body>\n</html>\n";
   public final static String SIGNATURE="\n<hr>by atrent<hr>\n";

   public final static String OBEGIN="\n<table border=2>\n";
   public final static String OEND="\n</table>\n";

   public static String field(String name, String value)
   {
      return "\n<tr>\n<td>\n<b>"+name+"</b></td>\n<td>\n"+value+"\n</td></tr>\n";
   }

   public static String linkfield(String name, Object obj)
   {
      return field(name,"<a href=#"+Integer.toHexString(obj.hashCode())+">"+obj+"</a>");
   }

   public static String linkfield(String name, HtmlizableI obj)
   {
      return field(name,"<a href=#"+Integer.toHexString(obj.hashCode())+">"+obj.toPureString()+"</a>");
   }

   public static String instance(String s)
   {
      return "\n<tr>\n<td colspan=2>\n<b>"+s+"</b></td></tr>\n";
   }

   public static String id(int hash, Class name)
   {
      return
         "\n<tr>\n<td colspan=2><b>object at<a name="+Integer.toHexString(hash)+"> <i>"+
         Integer.toHexString(hash)+"</i></a> created from <i>"+
         name+
         "</i></b></td></tr>\n";
   }
}
