package htmlstream; //experimental

/**
 *   Every object HTML-visualizable
 *   @author Andrea Trentini, Daniela Micucci
 */
public interface HtmlizableI {
    /** Should print HTML format. */
    public String toHtml();

    /** Any HtmlizableI object must be able to grow the HtmlStream. */
    public HtmlStream grow(HtmlStream hs);

    /** experimental. */
    public String toPureString();
}
